Commit 449f36b3 authored by Damian Kryger's avatar Damian Kryger
Browse files

Merge branch '777-upgrade-to-version-3-2-82' into 'master'

#777 Upgrade to version 3.2.82

See merge request !603
parents 7674bb77 06edc7fc
Pipeline #257935027 passed with stages
in 28 minutes and 17 seconds
......@@ -217,8 +217,9 @@ In case of issues related to the lack of access to the Akeneo's `package.json` f
#### How to update Akeneo PIM version?
1. Update Akeneo version in `composer.json`
1. Go to container with `make dev-fpm` and update dependencies with `COMPOSER_MEMORY_LIMIT=-1 composer update`
1. Update `AKENEO_VER` in `pim/build-images.sh` according to value from freshly generated `composer.lock`
1. Update `AKENEO_VER` in `pim/build-images.sh`
1. In `pim/Dockerfile` comment out the `ADD --chown=docker:docker package.json /srv/pim/` line.
1. Run `make dev-clean` command, which will clean up your local environment (so be sure if you are able to do it, and that you have all your changes saved).
1. Run `make` command to build the newest version of the PCMT Docker image.
......
......@@ -15,7 +15,7 @@ function cleanup {
}
trap cleanup EXIT
AKENEO_VER="v3.2.75"
AKENEO_VER="v3.2.82"
# Path of this script
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
......
......@@ -47,7 +47,7 @@
"require": {
"php": ">=7.2.0",
"akeneo-labs/custom-entity-bundle": "3.0.*",
"akeneo/pim-community-dev": "3.2.75",
"akeneo/pim-community-dev": "3.2.82",
"php-http/guzzle6-adapter": "^2.0",
"sabre/xml": "^2.1",
"phpoffice/phpspreadsheet": "1.9.0",
......
This diff is collapsed.
......@@ -57,9 +57,10 @@
"@babel/core": "^7.3.4",
"@babel/preset-env": "^7.3.4",
"@babel/types": "~7.11.5",
"@types/backbone": "1.4.5",
"@types/backbone": "1.4.8",
"@types/node": "11.9.5",
"@types/underscore": "~1.9.4",
"@types/react-dom": "^16.8.0",
"JSON2": "0.1.0",
"babel-eslint": "10.0.1",
"babel-loader": "8.0.5",
......@@ -97,11 +98,14 @@
"webpack-shell-plugin": "^0.5.0",
"thread-loader": "^2.1.2",
"write-file-webpack-plugin": "4.5.0",
"yamljs": "0.3.0"
"yamljs": "0.3.0",
"react-markdown": "^4.3.1",
"styled-components": "^4.3.2",
"@types/styled-components": "^4.1.18"
},
"resolutions": {
"@babel/types": "~7.11.5",
"@types/babel__traverse": "7.0.13",
"@babel/types": "~7.11.5",
"jest/**/ip-regex": "2.1.0"
}
}
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment